---
title: "Retrieve a flow definition"
slug: "retrieve-a-flow-definition"
abstract: "Describes how to retrieve a flow definition using the Sitecore Personalize Flow definition REST API."
---
# Retrieve a flow definition

`GET /v3/flowDefinitions/<flowDefinitionRef>`

Retrieves a flow definition.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `flowDefinitionRef` | string | The reference of the flow definition.<br><br>If you do not know the flow definition reference, first [retrieve flow definitions](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/flow-definition-rest-api/retrieve-flow-definitions.html). | `ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8` |

```curl
curl -X GET '<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
  "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
  "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
  "ref": "ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
  "name": "Alert bar 1",
  "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
  "modifiedAt": "2026-07-04T13:`45:32`.922Z",
  "revision": 1,
  "archived": false,
  "friendlyId": "alert_bar_1",
  "type": "INTERACTIVE_WEB_FLOW",
  "subtype": "EXPERIENCE",
  "channels": [
    "WEB"
  ],
  "triggers": [],
  "tags": [],
  "businessProcess": "interactive_v1",
  "traffic": {
    "type": "simpleTraffic",
    "weightingAlgorithm": "USER_DEFINED",
    "modifiedAt": "2026-07-04T13:`45:32`.922Z",
    "allocation": 100,
    "splits": [],
    "coupled": false
  },
  "variants": [],
  "transpiledVariants": [],
  "status": "DRAFT",
  "schedule": {
    "type": "simpleSchedule",
    "startDate": "2026-07-04T11:`46:41`.810Z"
  },
  "revisions": {
    "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8/revisions"
  },
  "sampleSizeConfig": {
    "baseValue": 0.02,
    "minimumDetectableDifference": 0.2,
    "confidenceLevel": 0.95
  }
}

```